#!/bin/sh

wav="t29_lwwj2n_m17_lgwe7s.wav"

if [ $# -eq 1 ]; then
   wav=$1
fi

# Work out directories
scriptDir=`dirname $0`
if [ "." = "$scriptDir" ]; then
   ROOT=".."
else
   ROOT=`dirname $scriptDir`
   wav=$ROOT/demo/$wav
fi

BIN=$ROOT/bin

if [ ! -d "$BIN" ]; then
   mkdir -p $BIN
fi

if [ ! -f "$BIN/genfrags" ]; then
   echo "+--- Compiling source code..."
   echo "Entering directory: $ROOT/src"
   cd $ROOT/src
   make
   echo "Leaving directory: $ROOT/src"
   echo "Entering directory: $ROOT/demo"
   cd $ROOT/demo
fi
echo ""

demo="$BIN/genfrags $wav ."
echo "+--- Running demo..."
echo "$demo"
$demo



